Package be.fgov.ehealth.rn.baselegaldata.v1

# Class AbstractOptionalAddressCbssType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAddressCbssType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AddressCbssBaseType`, `AddressCbssWithStatusAndSourceType`, `AddressCbssWithUpdateStatusType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public abstract class AbstractOptionalAddressCbssType extends Object implements Serializable

Java class for AbstractOptionalAddressCbssType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AbstractOptionalAddressCbssType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOptionalAddressCbssType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResidentialAddressType`
  `getResidentialAddress()`
  Gets the value of the residentialAddress property.
  `void`
  `setResidentialAddress(ResidentialAddressType value)`
  Sets the value of the residentialAddress property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractOptionalAddressCbssType

    public AbstractOptionalAddressCbssType()

- ## Method Details

  - ### getResidentialAddress

    public ResidentialAddressType getResidentialAddress()
    Gets the value of the residentialAddress property.
    Returns:
      possible object is `ResidentialAddressType`

  - ### setResidentialAddress

    public void setResidentialAddress(ResidentialAddressType value)
    Sets the value of the residentialAddress property.
    Parameters:
      `value` - allowed object is `ResidentialAddressType`